Locations
Alle Operationen rund um Locations.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| location | location |
28 | — | location_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/locations |
Create location | Create a new location in the active tenant. |
DELETE |
/v1/locations/{id} |
Delete location | Soft delete entity. |
GET |
/v1/locations/{id} |
Get location by id | Fetch a single location. |
GET |
/v1/locations/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/locations/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/locations/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/locations |
List locations | List locations for the active tenant. |
PATCH |
/v1/locations/{id} |
Patch location | JSON Merge Patch update. |
POST |
/v1/locations/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/locations/{id}/transition |
POST /v1/locations/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/locations/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/locations/{id} |
Replace location | Full replace with optimistic locking. |